oracle.jdbc

## Interface OracleClob

All Superinterfaces:
  Clob

All Known Subinterfaces:
  OracleNClob

All Known Implementing Classes:
  CLOB, NCLOB

    public interface OracleClob
    extends Clob

This interface extends the standard JDBC interface `Clob` and defines methods for Oracle specific Clob .

Generally any new code should avoid the direct use of the class `CLOB`. For variable declarations use the interface `Clob` or this interface as required. Instead of the static methods `CLOB.createTemporary(java.sql.Connection, boolean, int)` and `CLOB.empty_lob()` please use `Connection.createClob()` and `CLOB.getEmptyCLOB()` respectively.

Since:
  11.2.0.3

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close a previously opened CLOB.
`boolean` `isEmptyLob()` Return true if this is a empty lob.
`boolean` `isOpen()` Check whether the CLOB is opened.
`boolean` `isSecureFile()` Returns `true` if this is a SecureFile (LOBs with the STORE AS SECUREFILE option, which were introduced in Oracle Database 11g Release 1).
`boolean` `isTemporary()` Return true if the lob locator points to a temporary clob.
`void` `open(LargeObjectAccessMode mode)` Open a CLOB in the indicated mode.
`SQLXML` `toSQLXML()` Returns an object which impements java.sql.SQLXML with content taken from this Clob.
`SQLXML` `toSQLXML(String schemaURL)` Returns an object which impements java.sql.SQLXML with content taken from this Clob.

### Methods inherited from interface java.sql.Clob

`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

### Method Detail

#### open

    void open(LargeObjectAccessMode mode)
       throws SQLException

Open a CLOB in the indicated mode. Valid modes include MODE_READONLY, and MODE_READWRITE. It is an error to open the same LOB twice.

Throws:
  `SQLException`
Since:
  8.2.0

#### close

    void close()
        throws SQLException

Close a previously opened CLOB.

Throws:
  `SQLException`
Since:
  8.2.0

#### isOpen

    boolean isOpen()
            throws SQLException

Check whether the CLOB is opened.

Returns:
  true if the LOB is opened.
Throws:
  `SQLException`
Since:
  8.2.0

#### isTemporary

    boolean isTemporary()
                 throws SQLException

Return true if the lob locator points to a temporary clob. False if it does not.

Returns:
  true if the lob locator points to a temporary clob. False if it does not.
Throws:
  `SQLException`
Since:
  8.2.0

#### isEmptyLob

    boolean isEmptyLob()
                throws SQLException

Return true if this is a empty lob.

Returns:
  true if this is a empty lob.
Throws:
  `SQLException`
Since:
  8.1.7
See Also:
  `empty_lob`

#### isSecureFile

    boolean isSecureFile()
                  throws SQLException

Returns `true` if this is a SecureFile (LOBs with the STORE AS SECUREFILE option, which were introduced in Oracle Database 11g Release 1).

Returns:
  `true` if this is a SecureFile and `false` otherwise.
Throws:
  `SQLException`

#### toSQLXML

    SQLXML toSQLXML()
             throws SQLException

Returns an object which impements java.sql.SQLXML with content taken from this Clob.

Returns:
  the new SQLXML object
Throws:
  `SQLException`
Since:
  12.2

#### toSQLXML

    SQLXML toSQLXML(String schemaURL)
             throws SQLException

Returns an object which impements java.sql.SQLXML with content taken from this Clob.

Returns:
  the new SQLXML object
Throws:
  `SQLException`
Since:
  12.2

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.